create database if not exists shadowblog;
use shadowblog;


DROP TABLE IF EXISTS `beitraege`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `beitraege` (
  `ID` int(11) NOT NULL auto_increment,
  `zeitpunkt` datetime default NULL,
  `titel` text character set latin1,
  `inhalt` text character set latin1,
  PRIMARY KEY  (`ID`)
) ENGINE=InnoDB AUTO_INCREMENT=14 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
SET character_set_client = @saved_cs_client;


DROP TABLE IF EXISTS `kommentare`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `kommentare` (
  `ID` int(11) NOT NULL auto_increment,
  `zeitpunkt` datetime default NULL,
  `autor` text,
  `inhalt` text,
  `artikelid` int(11) default NULL,
  PRIMARY KEY  (`ID`),
  KEY `artikelid` (`artikelid`),
  CONSTRAINT `kommentare_ibfk_1` FOREIGN KEY (`artikelid`) REFERENCES `beitraege` (`ID`)
) ENGINE=InnoDB AUTO_INCREMENT=14 DEFAULT CHARSET=latin1;
SET character_set_client = @saved_cs_client;

